<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_Reserves" xlink:label="Reserves" xlink:title="Reserves" xlink:type="locator" />
    <link:label id="label_ReservesLabel_27200" xlink:label="label_ReservesLabel_27200" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ReservesLabel_27200" xml:lang="bg" xlink:type="resource">Резерви</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Reserves" xlink:title="label: from Reserves to label_ReservesLabel_27200" xlink:to="label_ReservesLabel_27200" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_ProceedsFromShortTermLoans" xlink:label="ProceedsFromShortTermLoans" xlink:title="ProceedsFromShortTermLoans" xlink:type="locator" />
    <link:label id="label_ProceedsFromShortTermLoansLabel_15045" xlink:label="label_ProceedsFromShortTermLoansLabel_15045" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromShortTermLoansLabel_15045" xml:lang="bg" xlink:type="resource">Постъпления по краткосрочни заеми</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromShortTermLoans" xlink:title="label: from ProceedsFromShortTermLoans to label_ProceedsFromShortTermLoansLabel_15045" xlink:to="label_ProceedsFromShortTermLoansLabel_15045" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_PaymentsOnShortTermLoans" xlink:label="PaymentsOnShortTermLoans" xlink:title="PaymentsOnShortTermLoans" xlink:type="locator" />
    <link:label id="label_PaymentsOnShortTermLoansLabel_59605" xlink:label="label_PaymentsOnShortTermLoansLabel_59605" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PaymentsOnShortTermLoansLabel_59605" xml:lang="bg" xlink:type="resource">Плащания по краткосрочни заеми</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOnShortTermLoans" xlink:title="label: from PaymentsOnShortTermLoans to label_PaymentsOnShortTermLoansLabel_59605" xlink:to="label_PaymentsOnShortTermLoansLabel_59605" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_ProceedsFromBusinessCombinations" xlink:label="ProceedsFromBusinessCombinations" xlink:title="ProceedsFromBusinessCombinations" xlink:type="locator" />
    <link:label id="label_ProceedsFromBusinessCombinationsLabel_92445" xlink:label="label_ProceedsFromBusinessCombinationsLabel_92445" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromBusinessCombinationsLabel_92445" xml:lang="bg" xlink:type="resource">Постъпления от бизнескомбинации</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromBusinessCombinations" xlink:title="label: from ProceedsFromBusinessCombinations to label_ProceedsFromBusinessCombinationsLabel_92445" xlink:to="label_ProceedsFromBusinessCombinationsLabel_92445" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_PurchaseSaleOfInvestmentProperty" xlink:label="PurchaseSaleOfInvestmentProperty" xlink:title="PurchaseSaleOfInvestmentProperty" xlink:type="locator" />
    <link:label id="label_PurchaseSaleOfInvestmentPropertyLabel_27915" xlink:label="label_PurchaseSaleOfInvestmentPropertyLabel_27915" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseSaleOfInvestmentPropertyLabel_27915" xml:lang="bg" xlink:type="resource">Придобиване на инвестиционни имоти</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseSaleOfInvestmentProperty" xlink:title="label: from PurchaseSaleOfInvestmentProperty to label_PurchaseSaleOfInvestmentPropertyLabel_27915" xlink:to="label_PurchaseSaleOfInvestmentPropertyLabel_27915" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>